package org.project.entity.players;

import org.project.entity.enemies.Enemy;

public class Assassin extends Player{

    private final static PlayerStats stats = new PlayerStats(9, 12,
            17, 20,
            12, 20, 24,
            210, 75);

    public Assassin(String name) {
        super(name,stats);
    }

    @Override
    public void heavyAttack(Enemy target) { target.takeDamage(stats.heavyAttackDamage);}

    @Override
    public void specialAbility(Enemy target) {
        System.out.println("You turned invisible");
        target.takeDamage(stats.specialAbilityDamage); // causing damage
        setDefending(true); //dodging the next incoming attack
    }
}
